This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 107215 - Accented characters are not displayed properly at boottime and shutdown
Accented characters are not displayed properly at boottime and shutdown
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-15 17:29 EDT by Jean Francois Martinez
Modified: 2014-03-16 22:39 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-16 16:29:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
my i18n file (101 bytes, text/plain)
2003-10-16 15:06 EDT, Jean Francois Martinez
no flags Details

  None (edit)
Description Jean Francois Martinez 2003-10-15 17:29:20 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20030131

Description of problem:
If you configure the machine for using a language with accented characters (eg
French or Spanisk) as the default and then reboot you will notice that about the
first half of the booting messages and the last half of the shutdown messages
are not displayed properly: instead
of accented characters it displays some crap.   It seems as if the 
font allowing their display is activated way after messages in national
language (and at shutdown time it is inactivated way too soon) 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.  Do an installation where you include support for French
2.  Change the defauly system language to French
3.  Reboot.  (The problem will also happen in spanish, provided
there are messages who require accented characters).  However
unlike French, in Spanish the words for start and stop don't
require accents). 


    

Additional info:  Problem has been present in all versions of Severn and, I
think, in every version of Redhat.  (I usually use English so not sure)
Comment 1 Bill Nottingham 2003-10-15 18:34:13 EDT
What does your /etc/sysconfig/i18n look like?

Is this with graphical or text boot?
Comment 2 Jean Francois Martinez 2003-10-16 15:06:51 EDT
Created attachment 95232 [details]
my i18n file
Comment 3 Jean Francois Martinez 2003-10-16 15:40:12 EDT
Bugs only appears in graphical boot(with details).  Also due to having used four
versions of RedHat or Severn in the same day I got all mixed up.

1) There is no gibberish at shutdown
2) The gibberish in Severn 3 is not <b>before</b> a certain point but <b>after</b>
a certain point.  More exactly it appears after the "Starting keytables" step.
Before that display is normal.

Comment 4 Bill Nottingham 2003-10-16 16:29:15 EDT
Ah, ok. This is fixed in a later kbd package by removing the superfluous
keytable init script.

Note You need to log in before you can comment on or make changes to this bug.